import request from '@/utils/request'

// 查询店铺信息列表
export function listgameCustomer(query) {
  return request({
    url: '/system/gameCustomer/list',
    method: 'post',
    params: query
  })
}


// 查询店铺信息详细
export function getgameCustomer(id) {
  return request({
    url: '/system/gameCustomer/' + id,
    method: 'get'
  })
}

// 新增店铺信息
export function addgameCustomer(data) {
  return request({
    url: '/system/gameCustomer',
    method: 'post',
    data: data
  })
}

// 修改店铺信息
export function updategameCustomer(data) {
  return request({
    url: '/system/gameCustomer',
    method: 'put',
    data: data
  })
}

// 删除店铺信息
export function delgameCustomer(id) {
  return request({
    url: '/system/gameCustomer/' + id,
    method: 'delete'
  })
}
